# UniUploadFileInfo

data class UniUploadFileInfo (val fileName: FileName , val mimeType: String , val inputAllocator: LambdaInputProvider )(source)

Information about a file to upload in a multipart request. This allows uploading from custom sources beyond regular files.

#### Parameters

fileName

The name of the file

mimeType

The MIME type of the file

inputAllocator

A lambda that provides input streams for reading the file data

## Constructors

UniUploadFileInfo
Link copied to clipboard
constructor(fileName: FileName , mimeType: String , inputAllocator: LambdaInputProvider )

## Properties

fileName
Link copied to clipboard
val fileName : FileName
inputAllocator
Link copied to clipboard
val inputAllocator : LambdaInputProvider
mimeType
Link copied to clipboard
val mimeType : String